Package opennlp.tools.models

# Record Class ClassPathModelEntry

java.lang.Object
java.lang.Record
opennlp.tools.models.ClassPathModelEntry

Record Components:
  `model` - A valid `URI` associated with the model's location.
  `properties` - Optional properties to use.

public record ClassPathModelEntry(URI model, Optional<URI> properties) extends Record
Encapsulates a classpath entry that is associated with a `model URI` and optional `properties`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassPathModelEntry(URI model, Optional<URI> properties)`
  Creates an instance of a `ClassPathModelEntry` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `URI`
  `model()`
  Returns the value of the `model` record component.
  `Optional<URI>`
  `properties()`
  Returns the value of the `properties` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClassPathModelEntry

    public ClassPathModelEntry(URI model, Optional<URI> properties)
    Creates an instance of a `ClassPathModelEntry` record class.
    Parameters:
      `model` - the value for the `model` record component
      `properties` - the value for the `properties` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### model

    public URI model()
    Returns the value of the `model` record component.
    Returns:
      the value of the `model` record component

  - ### properties

    public Optional<URI> properties()
    Returns the value of the `properties` record component.
    Returns:
      the value of the `properties` record component